Skip to main content

VoteWitnessAccount

POST

Vote for super representatives
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
owner_addressstringrequired
Transaction initiator address. (Format: Base58 or Hex)
votesarrayrequired
List of vote objects, each containing an SR address (vote_address) and vote count (vote_count).
vote_addressstringrequired
an SR address, for example, TUtzEvZRqVoNr4ifVyGTnVcyDUpWsrXkJ3.
vote_countintegerrequired
vote count must be greater than 0.
Permission_idinteger
Optional. Permission ID used for multi-signature account operations. Defaults to the owner permission (0) if unspecified.
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)
Responses
owner_addressstring
Transaction initiator address. (Format: Base58 or Hex)
votesVote[]
List of Vote objects, each containing vote_address (SR address) and vote_count (number of votes).
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "400"
}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/votewitnessaccount' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{}'